The canvas graphs should use a cache of canvas elements instead of creating a new one every time an off-screen render target is needed
Title should be self-explanatory. We're creating new canvases quite a lot for offscreen rendering. This can be optimized.